Bug 33261 - Dates for issues on subscription detail page display unformatted
Summary: Dates for issues on subscription detail page display unformatted
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Lucas Gass
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2023-03-17 09:23 UTC by Katrin Fischer
Modified: 2023-12-28 20:43 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.05


Attachments
Bug 33261: Format dates in subscription_issues table (2.06 KB, patch)
2023-03-17 14:35 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 33261: Format dates in subscription_issues table (2.10 KB, patch)
2023-04-03 21:08 UTC, David Nind
Details | Diff | Splinter Review
Bug 33261: Format dates in subscription_issues table (2.16 KB, patch)
2023-04-09 11:50 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2023-03-17 09:23:13 UTC
The dates in the issues tab of the subscription detail page display as "YYYY-MM-DD" independent of the DateFormat system preference setting.

To test:
* Add a subscription
* Receive some issues
* Go to the subscription detail page, issues tab
* Verify the dates there display as YYYY-MM-DD
* Change DateFormat system preference setting, nothing changes.
Comment 1 Lucas Gass 2023-03-17 14:35:24 UTC
Created attachment 148352 [details] [review]
Bug 33261: Format dates in subscription_issues table

To test:
* Add a subscription
* Receive some issues
* Go to the subscription detail page, issues tab
* Verify the dates there display as YYYY-MM-DD
* Change DateFormat system preference setting, nothing changes.
* Apply patch
* Date should now be formatted in the way specified in the DateFormat system preference
Comment 2 David Nind 2023-04-03 21:08:36 UTC
Created attachment 149108 [details] [review]
Bug 33261: Format dates in subscription_issues table

To test:
* Add a subscription
* Receive some issues
* Go to the subscription detail page, issues tab
* Verify the dates there display as YYYY-MM-DD
* Change DateFormat system preference setting, nothing changes.
* Apply patch
* Date should now be formatted in the way specified in the DateFormat system preference

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2023-04-09 11:50:13 UTC
Created attachment 149356 [details] [review]
Bug 33261: Format dates in subscription_issues table

To test:
* Add a subscription
* Receive some issues
* Go to the subscription detail page, issues tab
* Verify the dates there display as YYYY-MM-DD
* Change DateFormat system preference setting, nothing changes.
* Apply patch
* Date should now be formatted in the way specified in the DateFormat system preference

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2023-04-12 14:44:27 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 5 Matt Blenkinsop 2023-04-17 09:11:16 UTC
Nice work everyone!

Pushed to stable for 22.11.x
Comment 6 Lucas Gass 2023-05-05 22:00:54 UTC
Doesn't apply clean to 22.05.x, no backport.